classification
Title: LTOFLAGS are passed to BASECFLAGS when using LTO
Type: Stage: resolved
Components: Build, Extension Modules Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: cstratak, miss-islington, ned.deily, vstinner
Priority: normal Keywords: patch

Created on 2018-11-29 15:29 by cstratak, last changed 2018-12-09 08:43 by ned.deily. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 10797 merged cstratak, 2018-11-29 15:38
PR 10893 merged miss-islington, 2018-12-04 14:54
PR 11046 merged miss-islington, 2018-12-09 08:16
Messages (5)
msg330697 - (view) Author: Charalampos Stratakis (cstratak) * Date: 2018-11-29 15:29
Through configure.ac and this change [0] LTOFLAGS and more specifically -flto is baked into BASECFLAGS when using link time optimizations, which will make this flag propagate to distutils.

[0] https://github.com/python/cpython/commit/69a3f153a92fd8c86080e8da477ee50df18fc0d1#diff-67e997bcfdac55191033d57a16d1408aL1350
msg331049 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-12-04 14:54
New changeset f92c7aa1ae81efa475b5aecf66e4711ef0f52c4c by Victor Stinner (stratakis) in branch 'master':
bpo-35351: Pass link time optimization flags to CFLAGS_NODIST (GH-10797)
https://github.com/python/cpython/commit/f92c7aa1ae81efa475b5aecf66e4711ef0f52c4c
msg331051 - (view) Author: miss-islington (miss-islington) Date: 2018-12-04 15:06
New changeset 1751423686d05e3facdd6da2620202728e5d7917 by Miss Islington (bot) in branch '3.7':
bpo-35351: Pass link time optimization flags to CFLAGS_NODIST (GH-10797)
https://github.com/python/cpython/commit/1751423686d05e3facdd6da2620202728e5d7917
msg331416 - (view) Author: miss-islington (miss-islington) Date: 2018-12-09 08:35
New changeset f2d2cb12f2d3bd68a13c4098311e725f776768ad by Miss Islington (bot) in branch '3.6':
bpo-35351: Pass link time optimization flags to CFLAGS_NODIST (GH-10797)
https://github.com/python/cpython/commit/f2d2cb12f2d3bd68a13c4098311e725f776768ad
msg331417 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2018-12-09 08:43
See also Issue28015, Issue31354, and Issue35257.
History
Date User Action Args
2018-12-09 08:43:45ned.deilysetstatus: open -> closed

versions: + Python 3.6
nosy: + ned.deily

messages: + msg331417
resolution: fixed
stage: patch review -> resolved
2018-12-09 08:35:15miss-islingtonsetmessages: + msg331416
2018-12-09 08:16:20miss-islingtonsetpull_requests: + pull_request10282
2018-12-04 15:06:26miss-islingtonsetnosy: + miss-islington
messages: + msg331051
2018-12-04 14:54:18miss-islingtonsetpull_requests: + pull_request10132
2018-12-04 14:54:05vstinnersetmessages: + msg331049
2018-12-03 14:01:29vstinnersetnosy: + vstinner
2018-11-29 15:38:59cstrataksetkeywords: + patch
stage: patch review
pull_requests: + pull_request10044
2018-11-29 15:29:01cstratakcreate